> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Apply for ID

## Overview

Allows the client to apply for a new Legal Identity on the server. The application must be signed using one of the keys created by the client.

## HTTP request

`POST /Agent/Legal/ApplyId`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
	"keyId": Required(Str(PKeyId)),
	"nonce": Required(Str(PNonce)),
	"keySignature": Required(Str(PKeySignature)),
	"requestSignature": Required(Str(PRequestSignature)),
	"Properties":
	{
		"name": Required(Str(PPropertyName)),
		"value": Required(Str(PPropertyValue))
	}?[]
}
```

## Input parameters

| Parameter         | Description                                                                                                                                |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| PKeyId            | Identity of key to use for signing the Identity application.                                                                               |
| PNonce            | A unique random string, at least 32 characters long, with sufficient entropy to not be reused again. If reused, an error will be returned. |
| PKeySignature     | Cryptographic signature of the key ID, using the key password.                                                                             |
| PRequestSignature | Cryptographic signature of the request, using the account password.                                                                        |
| PPropertyName     | Names of properties that will be engraved into the Legal Identity.                                                                         |
| PPropertyValue    | Values of properties that will be engraved into the Legal Identity.                                                                        |

## Response (JSON)

```json theme={null}
{
	"Identity": Required(PIdentity)
}
```

## Response parameters

| Parameter | Description                              |
| --------- | ---------------------------------------- |
| PIdentity | Identity object generated by the server. |

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
